Subject: Re: bug#17657: pretty-print #:width values above 49 don't work?

From: Mark Polesky <[email-masked]>
Date: Tue, 3 Jun 2014 11:06:38 -0700 (PDT)

Mark H Weaver wrote:
> A couple of years ago I added an undocumented
> #:max-expr-width keyword argument to pretty-print, in
> order to improve the formatting of psyntax-pp.scm.  You 
> could use that.

Nice, but why leave it undocumented?  That's useful!
Anyway, I can't use it yet: my project still depends on
1.8.8, and I see that you added it in 2.0.6.

> We no longer support Guile 1.8.x.  You should transition
> to 2.0.

We are well aware, but the developers who are working on it
keep mentioning problems with curried definitions, saying
things like "stabbing around in the dark around bugs and 
undocumented areas", and that the stable version doesn't
seem so stable...  In any case, the task of transitioning to
2.0 is beyond my own expertise, so I'll just see how it
plays out.

But thank you for your explanation, advice, and quick
response.

- Mark